<!--<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="medium" color="#ffe100" type="ball-spin-clockwise"></ngx-spinner>
<div class="wrapper">
  <app-side-nav *ngIf="this.menuCountInt !=0"></app-side-nav>
  <div id="content" [ngClass]="(this.menuCountInt == 0) ? {collapsed: true} : {collapsed: menuService.isContentCollapsed}">
  <app-nav-header *ngIf="this.menuCountInt !=0"></app-nav-header>
  <app-nav-menu *ngIf="this.menuCountInt !=0"></app-nav-menu>
    <div class="border-bottom shadow-sm mb-3" *ngIf="this.menuCountInt !=0">
      <ul class="border-left-4 border-primary my-2 py-1" id="breadcrumbs">
        <li *ngFor="let breadcrumb of breadcrumbs">
          <a [routerLink]="[breadcrumb.url, breadcrumb.params]" style="color:#888b8d;">{{ breadcrumb.label }}</a>
        </li>
      </ul>
    </div>
    <router-outlet></router-outlet>
  </div>
</div>
<app-search *ngIf="this.menuCountInt !=0"></app-search>-->
<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#E20074" type="ball-spin-clockwise"><p style="font-size: 40px;font-weight: bold;color: #E20074;">Loading...</p></ngx-spinner>
<div class="wrapper">
  <!-- Sidebar -->
  <!--<app-side-nav [parent]="this"></app-side-nav>-->
  <!-- Page Content -->
  <!-- add id="content" to enable side nav-->
  <div id="content" [ngClass]="{ 'collapsed': menuService.isContentCollapsed ? true : false }">
    <!-- Nav header -->
    <app-nav-header [parent]="this" [isInActive]="isInActive" (sessionReloaded)="setUserToActive($event)"></app-nav-header>
    <!-- Nav Menu -->
    <div>
      <app-nav-menu *ngIf="!isInActive" [parent]="this"></app-nav-menu>
    </div>
    <div id="pageBody">
      <div class="border-bottom shadow-sm mb-3" *ngIf="!isInActive">
        <button *ngIf="menuService.isTopNav ? false : true" type="button" class="btn btn-primary-outline no-background no-border no-shadow" (click)="collapseSideNav()">
          <i class="fa fa-chevron-left fa-1x" [ngClass]="{ 'd-none': menuService.isContentCollapsed ? true : false }"></i>
          <i class="fa fa-chevron-right fa-1x" [ngClass]="{ 'd-none': !menuService.isContentCollapsed ? true : false }"></i>
        </button>
        <ul class="pl-4 ml-1 mb-0 v-align-middle" id="breadcrumbs">
          <li *ngFor="let breadcrumb of menuService.breadcrumbs">
            <a *ngIf="breadcrumb.isLink" [routerLink]="[breadcrumb.url, breadcrumb.params]">{{ breadcrumb.label }}</a>
            <span *ngIf="!breadcrumb.isLink">{{ breadcrumb.label }}</span>
          </li>
        </ul>
      </div>
      <div class="row">
        <div class="col-22 offset-1" *ngIf="!isInActive">
          <router-outlet></router-outlet>
        </div>
        <div class="col-22 offset-10" *ngIf="isInActive">
          <br /> <br />
          <h6>
            Your session has expired. <br />
            Please, click <span (click)="returnHome()" class="hyperlink"> here </span> to login again.
          </h6>
        </div>
      </div>
    </div>
    <!--<app-nav-menu *ngIf="!isSideNav" [parent]="this"></app-nav-menu>-->
    <app-nav-footer></app-nav-footer>
  </div>
</div>
<!--<app-search></app-search>-->

